<?php


namespace App\Entities\Especialidade;


use App\Utils\Entity;

class Especialidade extends Entity
{
    protected $id;
    protected $descricao;

    public static function builder() : EspecialidadeBuilder
    {
        $tipo_procedimento_builder = New EspecialidadeBuilder();
        return $tipo_procedimento_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getDescricao() : string
    {
        return $this->descricao;
    }

    public function setId($id) : void
    {
        $this->id = $id;
    }

    public function setDescricao($descricao) : void
    {
        $this->descricao = $descricao;
    }
}